/*
    This file is part of the Cheap Matrix library
    Copyright (C) 2000  Nicolas Brodu
    nicolas.brodu@free.fr

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.
*/
#ifndef LSE_H_CHEAP_MATRIX
#define LSE_H_CHEAP_MATRIX

#include "CheapMatrix.h"

// Don't pollute the standard namespace with our definitions
namespace CheapMatrix {
// Least Square Estimation: Solve least square problem for A * x = b.
// Will solve A * x1 = b1, A * x2 = b2... simultaneously by setting the 'b's as
// the columns of the matrix B
bool LSE(const Matrix &A, const Matrix &B, const Matrix &X);
}
#endif

